SCAPHANDRE(1)

NAME
scaphandre json - Write the metrics in the JSON format to a file or to stdout

SYNOPSIS
scaphandre json [OPTIONS]

DESCRIPTION
Write the metrics in the JSON format to a file or to stdout

OPTIONS

-t, --timeout <TIMEOUT>

    Maximum time spent measuring, in seconds. If unspecified, runs forever

-s, --step <SECONDS>

    Interval between two measurements, in seconds [default: 2]

--step-nano <NANOSECS>

    Additional step duration in _nano_ seconds. This is added to `step` to get the final duration [default: 0]

--max-top-consumers <MAX_TOP_CONSUMERS>

    Maximum number of processes to watch [default: 10]

-f, --file <FILE>

    Destination file for the report (if absent, print the report to stdout)

--containers

    Monitor and apply labels for processes running as containers

--process-regex <PROCESS_REGEX>

    Filter processes based on regular expressions (example: 'scaph\\w\\w.e')

--container-regex <CONTAINER_REGEX>

    Filter containers based on regular expressions

--resources

    Monitor and incude CPU, RAM and Disk usage per process

-h, --help

    Print help